Package org.opensaml.soap.wstrust.impl

# Class CanonicalizationAlgorithmBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<WSTrustObjectType>
org.opensaml.soap.wstrust.impl.AbstractWSTrustObjectBuilder<CanonicalizationAlgorithm>
org.opensaml.soap.wstrust.impl.CanonicalizationAlgorithmBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<CanonicalizationAlgorithm>`, `WSTrustObjectBuilder<CanonicalizationAlgorithm>`

public class CanonicalizationAlgorithmBuilder extends AbstractWSTrustObjectBuilder<CanonicalizationAlgorithm>
Builder for the CanonicalizationAlgorithm element.

## Constructor Summary

Constructors
Constructor
Description
`CanonicalizationAlgorithmBuilder()`

## Method Summary

Modifier and Type
Method
Description
`CanonicalizationAlgorithm`
`buildObject()`
Builds a WS-Trust object of the given type.
`CanonicalizationAlgorithm`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### CanonicalizationAlgorithmBuilder

public CanonicalizationAlgorithmBuilder()

## Method Details

### buildObject

@Nonnull public CanonicalizationAlgorithm buildObject()
Builds a WS-Trust object of the given type.

Specified by:
  `buildObject` in interface `WSTrustObjectBuilder<CanonicalizationAlgorithm>`
Specified by:
  `buildObject` in class `AbstractWSTrustObjectBuilder<CanonicalizationAlgorithm>`
Returns:
  the built object

### buildObject

@Nonnull public CanonicalizationAlgorithm buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<CanonicalizationAlgorithm>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<CanonicalizationAlgorithm>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject